summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <sven.eden@gmx.de>2011-03-28 22:07:32 +0200
committerSven Eden <sven.eden@gmx.de>2011-03-28 22:07:32 +0200
commit4c787304b395c85b65e839bcdadb4da8242f7658 (patch)
tree23cf693ed6da4239c533e26e3a86ac2b4ceec719 /app-office
parentInitial repo_name (diff)
downloadseden-4c787304b395c85b65e839bcdadb4da8242f7658.tar.gz
seden-4c787304b395c85b65e839bcdadb4da8242f7658.tar.bz2
seden-4c787304b395c85b65e839bcdadb4da8242f7658.zip
First set of ebuilds
Diffstat (limited to 'app-office')
-rw-r--r--app-office/unoconv/Manifest3
-rw-r--r--app-office/unoconv/unoconv-0.4.ebuild28
2 files changed, 31 insertions, 0 deletions
diff --git a/app-office/unoconv/Manifest b/app-office/unoconv/Manifest
new file mode 100644
index 0000000..2db2f46
--- /dev/null
+++ b/app-office/unoconv/Manifest
@@ -0,0 +1,3 @@
+DIST unoconv-0.4.tar.bz2 63171 RMD160 8b05e181e460dedb8d8c692b4f0e3abd4a23afe4 SHA1 e06a8f6d921ecaecc0968ba92dd7afd5af67a32d SHA256 27711728c19b7b71d94b010540e7648dc72ab6190cc4155c5d8be4dd7f46e48c
+EBUILD unoconv-0.4.ebuild 695 RMD160 e655017a2bd566580c99239c7ac63982744af170 SHA1 27911e787305ef9c6fb5f941be2f64e9189771fb SHA256 74298ce9652f60129d09d18d864100b58e30250cde73b775a115ac99ff027068
+MISC unoconv-0.4.ebuild~ 788 RMD160 45e666af8cf20f7218ce075c8103817ac1a69ae1 SHA1 29afbf4ad5e775b93121e462de14bea2ef34fb91 SHA256 cda851f48a7d98d012f5c7f269eeb60e8e408aeefeb97ac3ef6a2272d8a4f365
diff --git a/app-office/unoconv/unoconv-0.4.ebuild b/app-office/unoconv/unoconv-0.4.ebuild
new file mode 100644
index 0000000..a5cc1cd
--- /dev/null
+++ b/app-office/unoconv/unoconv-0.4.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="Convert between any document format supported by OpenOffice"
+HOMEPAGE="http://dag.wieers.com/home-made/unoconv/"
+SRC_URI="http://dag.wieers.com/home-made/unoconv/${P}.tar.bz2"
+LICENSE="GPL-2"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+SLOT="0"
+
+RDEPEND=">=dev-lang/python-2.5
+ || ( app-office/openoffice app-office/openoffice-bin )"
+DEPEND="dev-python/setuptools
+ >=app-text/asciidoc-8.2.6"
+
+src_install() {
+ emake docs DESTDIR="${D}"
+ emake docs-install DESTDIR="${D}"
+ emake install DESTDIR="${D}"
+ emake install-links DESTDIR="${D}"
+}